#!/bin/sh
#
#
# Master postInstall script.
#
#

OS=`uname -s`;
echo $OS 2> /dev/null > /dev/null
APPROOT="/opt/ibm/edge";
MAJORVERSION=8;
MINORVERSION=0;
REVISION=0;
PATCHLEVEL=0;

if [ $REVISION -gt 0 -o $PATCHLEVEL -gt 0 ]
then
	FULL_BUILD=false;
else
	FULL_BUILD=true;
fi

case `echo $LANG` in
          "en_US"*)
					LANGUAGE="en_US";
          ;;
          "cs_CZ"*)
                 	LANGUAGE="cs_CZ";
          ;;
          "de_DE"*)
                 	LANGUAGE="de_DE";
          ;;
          "es_ES"*)
                    LANGUAGE="es_ES";
          ;;
		  "fr_FR"*)
                    LANGUAGE="fr_FR";
          ;;
		  "hu_HU"*)
                    LANGUAGE="hu_HU";
          ;;
		  "it_IT"*)
                    LANGUAGE="it_IT";
          ;;
		  "ja_JP"*)
                    LANGUAGE="ja_JP";
          ;;
		  "ko_KR"*)
                    LANGUAGE="ko_KR";
          ;;
		  "pl_PL"*)
                    LANGUAGE="pl_PL";
          ;;
		  "pt_BR"*)
                    LANGUAGE="pt_BR";
          ;;
		  "ru_RU"*)
                    LANGUAGE="ru_RU";
          ;;
		  "zh_CN"*)
                    LANGUAGE="zh_CN";
          ;;
		  "zh_TW"*)
                    LANGUAGE="zh_TW";
          ;;		  
          *)
					LANGUAGE="en_US";
		  ;;
esac

case "$OS" in
          "AIX")
				./wses_cp.base.unconfig
				./wses_cp.msg.$LANGUAGE.base.unconfig
				./WSES_CachingProxy_msg_$LANGUAGE\_Unlinking.sh
				./WSES_CachingProxy_Unlinking.sh
				./wses_admin.rte.unconfig
				./WSES_ICU_Runtime_Unlinking.sh
          ;;
          "SunOS")
				./WSEScp.preremove
				if [ $LANGUAGE = "en_US" ]
				then
					./WSEScpmen.preremove
				else
					./WSEScpm$LANGUAGE.preremove
				fi
				./WSES_CachingProxy_msg_$LANGUAGE\_Unlinking.sh
				./WSES_CachingProxy_Unlinking.sh
				./WSESadmin.preremove
				./WSES_ICU_Runtime_Unlinking.sh

          ;;
          "HP-UX")
				./cp.preremove
				./WSES-cpm$LANGUAGE.preremove
				./WSES_CachingProxy_msg_$LANGUAGE\_Unlinking.sh
				./WSES_CachingProxy_Unlinking.sh
				./admin.preremove
				./WSES_ICU_Runtime_Unlinking.sh
          ;;
          "Linux" )
				./WSES_CachingProxy.sh
				./WSES_CachingProxy_msg_$LANGUAGE.sh
				./WSES_CachingProxy_msg_$LANGUAGE\_Unlinking.sh
				./WSES_Admin_Runtime.sh
				./WSES_ICU_Runtime_Unlinking.sh

          ;;
          *)
					echo "Platform not supported!" 2> /dev/null > /dev/null;
					exit -1 ;;
esac
echo "Caching proxy preUninstall complete";
